> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 커뮤니티 검색

> 키워드로 커뮤니티를 검색합니다

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Communities Search 엔드포인트를 사용하면 키워드로 커뮤니티를 검색할 수 있습니다. 관심 있는 주제와 관련된 커뮤니티를 탐색해 보세요.

<div id="overview">
  ## 개요
</div>

<CardGroup cols={2}>
  <Card title="키워드 검색" icon="magnifying-glass">
    이름이나 설명으로 커뮤니티를 검색합니다
  </Card>

  <Card title="커뮤니티 찾기" icon="users-rectangle">
    가입할 커뮤니티를 찾습니다
  </Card>
</CardGroup>

***

<div id="endpoint">
  ## 엔드포인트
</div>

| 메서드 | 엔드포인트                                                               | 설명      |
| :-- | :------------------------------------------------------------------ | :------ |
| GET | [`/2/communities/search`](/ko/x-api/communities/search-communities) | 커뮤니티 검색 |

***

<div id="parameters">
  ## 매개변수
</div>

| 매개변수               | 설명                |
| :----------------- | :---------------- |
| `query`            | 검색 쿼리(필수)         |
| `max_results`      | 페이지당 결과 수(최대 100) |
| `community.fields` | 추가 Community 필드   |

***

<div id="example-request">
  ## 요청 예제
</div>

```bash theme={null}
curl "https://api.x.com/2/communities/search?\
query=Python&\
max_results=10&\
community.fields=name,description,member_count" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

***

<div id="getting-started">
  ## 시작하기
</div>

<Note>
  **사전 준비 사항**

  * 승인된 [개발자 계정](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 개발자 콘솔의 [Project 및 App](/ko/resources/fundamentals/developer-apps)
  * App의 [키와 토큰](/ko/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="Communities 조회" icon="users-rectangle" href="/ko/x-api/communities/lookup/introduction">
    ID로 Communities를 조회하세요
  </Card>

  <Card title="API 참조 문서" icon="code" href="/ko/x-api/communities/search-communities">
    전체 엔드포인트 문서
  </Card>
</CardGroup>
